# MPI_Type_delete_attr

## NAME

MPI_Type_delete_attr − Deletes a datatype-caching attribute value associated with a key.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Type_delete_attr(MPI_Datatype type, int type_keyval)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_TYPE_DELETE_ATTR(TYPE, TYPE_KEYVAL, IERROR)

| INTEGER |  |  | TYPE, TYPE_KEYVAL, IERROR

## C++ Syntax

#include <mpi.h>
void MPI::Datatype::Delete_attr(int type_keyval)

## INPUT/OUTPUT PARAMETER

| type |  | Data type from which the attribute is deleted (handle).n

## INPUT PARAMETER

type_keyval

Key value (integer).

## OUTPUT PARAMETER

| IERROR |  | Fortran only: Error status (integer). |

## DESCRIPTION

MPI_Type_delete_attr deletes a datatype-caching attribute value associated with a key. This routines partially replaces MPI_Attr_delete, which is now deprecated.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

MPI API Index